Skip to content

List threat objectives for an organization

GET
/v1/threats/organizations/{org_id}
curl --request GET \
--url https://api.adversarial.com/api/v1/threats/organizations/123e4567-e89b-12d3-a456-426614174000
org_id
required
string format: uuid

The UUID of the organization

Example
123e4567-e89b-12d3-a456-426614174000

List all threat levels for the organization

Media typeapplication/json
object
threat_levels
required
Array<object>

Information relating to a threat and its history.

Threat Levels are typically generated for organizations. Threat Objectives don’t have any universal inherent or without the context of an organization.

object
inherent
required

The inherent scores relating to the threat objective

Array<object>

The current inherent scoring of a threat objective.

An inherent score is always scoped to one organization and one threat objective; it has no meaning outside that pairing.

object
created_date
required

The date the score was created.

string format: date-time
id
required

An auto-incrementing PK value that uniquely identifies the score given the threat objective name

integer format: int64
impact
required

The y-axis

string
Allowed values: Very Low Low Medium High Severe
is_draft
required

Whether this inherent score is a draft (excluded from some threat-level responses).

boolean
likelihood
required

The x-axis

string
Allowed values: Remote Unlikely Possible Probable Imminent
proposal_action_id
required

The proposal action PK that this score is associated with

integer format: int64
proposal_id
required

The proposal PK that this score is associated with

integer format: int64
threat_objective_name
required

The threat objective PK

string
Allowed values: Sabotage Data Disclosure Extortion Customer Targeting Resource Hijacking Fraud
min_likelihood
required

Used to constrain the threat level from moving to a location that is deemed too risky

string
Allowed values: Remote Unlikely Possible Probable Imminent
name
required

The PK of the threat objective

string
Allowed values: Sabotage Data Disclosure Extortion Customer Targeting Resource Hijacking Fraud
Example
{
"threat_levels": [
{
"inherent": [
{
"impact": "Very Low",
"likelihood": "Remote",
"threat_objective_name": "Sabotage"
}
],
"min_likelihood": "Remote",
"name": "Sabotage"
}
]
}

Organization not found